#!/usr/bin/env bash
################################################################################
#  THIS FILE IS 100% GENERATED BY ZPROJECT; DO NOT EDIT EXCEPT EXPERIMENTALLY  #
#  Please refer to the README for information about making permanent changes.  #
################################################################################

# Use directory of current script as the build directory and working directory
cd "$( dirname "${BASH_SOURCE[0]}" )"
ANDROID_BUILD_DIR="$(pwd)"

# Get access to android_build functions and variables
source ${ANDROID_BUILD_DIR}/android_build_helper.sh

# Choose a C++ standard library implementation from the ndk
ANDROID_BUILD_CXXSTL="gnustl_shared_48"

# Set up android build environment and set ANDROID_BUILD_OPTS array
android_build_env
android_build_opts

# Use a temporary build directory
cache="/tmp/android_build/${TOOLCHAIN_NAME}"
rm -rf "${cache}"
mkdir -p "${cache}"

# Check for environment variable to clear the prefix and do a clean build
if [[ $ANDROID_BUILD_CLEAN ]]; then
    echo "Doing a clean build (removing previous build and depedencies)..."
    rm -rf "${ANDROID_BUILD_PREFIX}"/*
fi

##
# Make sure zmq is built and copy the prefix

(android_build_verify_so "libzmq.so" &> /dev/null) || {
    # Use a default value assuming the zmq project sits alongside this one
    test -z "$ZMQ_ROOT" && ZMQ_ROOT="$(cd ../../../zmq && pwd)"
    
    if [ ! -d "$ZMQ_ROOT" ]; then
        echo "The ZMQ_ROOT directory does not exist"
        echo "  ${ZMQ_ROOT}"
        exit 1
    fi
    
    (bash ${ZMQ_ROOT}/builds/qt-android/build.sh) || exit 1
    UPSTREAM_PREFIX=${ZMQ_ROOT}/builds/qt-android/prefix/${TOOLCHAIN_NAME}
    cp -r ${UPSTREAM_PREFIX}/* ${ANDROID_BUILD_PREFIX}
}

##
# Make sure czmq is built and copy the prefix

(android_build_verify_so "libczmq.so" &> /dev/null) || {
    # Use a default value assuming the czmq project sits alongside this one
    test -z "$CZMQ_ROOT" && CZMQ_ROOT="$(cd ../../../czmq && pwd)"
    
    if [ ! -d "$CZMQ_ROOT" ]; then
        echo "The CZMQ_ROOT directory does not exist"
        echo "  ${CZMQ_ROOT}"
        exit 1
    fi
    
    (bash ${CZMQ_ROOT}/builds/qt-android/build.sh) || exit 1
    UPSTREAM_PREFIX=${CZMQ_ROOT}/builds/qt-android/prefix/${TOOLCHAIN_NAME}
    cp -r ${UPSTREAM_PREFIX}/* ${ANDROID_BUILD_PREFIX}
}

##
# Build malamute from local source

(android_build_verify_so "libmlm.so" "libzmq.so" "libczmq.so" &> /dev/null) || {
    rm -rf "${cache}/malamute"
    (cp -r ../.. "${cache}/malamute" && cd "${cache}/malamute" \
        && make clean && rm configure config.status)
    rm 
    
    export LIBTOOL_EXTRA_LDFLAGS='-avoid-version'
    
    (cd "${cache}/malamute" && ./autogen.sh \
        && ./configure "${ANDROID_BUILD_OPTS[@]}" \
        && make \
        && make install) || exit 1
}

##
# Verify shared libraries in prefix

android_build_verify_so "libzmq.so"
android_build_verify_so "libczmq.so"
android_build_verify_so "libmlm.so" "libzmq.so" "libczmq.so"

################################################################################
#  THIS FILE IS 100% GENERATED BY ZPROJECT; DO NOT EDIT EXCEPT EXPERIMENTALLY  #
#  Please refer to the README for information about making permanent changes.  #
################################################################################
